Bug 720138 - Review Request: django-avatar - A reusable django application for handling user avatars
Review Request: django-avatar - A reusable django application for handling ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: pjp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-10 01:44 EDT by Praveen Kumar
Modified: 2011-08-01 22:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: django-avatar-2.0a1-3.20110709git097ed8.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-01 22:06:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pj.pandit: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2011-07-10 01:44:41 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/django-avatar/django-avatar.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/django-avatar/django-avatar-2.0a1-1.fc15.src.rpm
Description: Django-avatar is a reusable application for handling user avatars. It has the ability to default to Gravatar if no avatar is found for a certain user.it is automatically generates thumbnails and stores them to your default file storage back end for retrieval later.

Koji Build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3188816
Comment 1 Rahul Sundaram 2011-07-10 02:47:55 EDT
Fix summary.  It is a django module and not a python module.  I have updated the summary in this review request

Change url to http://pypi.python.org/pypi/django-avatar/.  Not hosted in google code anymore.  

Change description to

Django-avatar is a reusable application for handling user avatars.  It has the
ability to default to Gravatar if no avatar is found for a certain user.
Django-avatar automatically generates thumbnails and stores them to your default
file storage backend for retrieval later.

Taken from  https://github.com/ericflo/django-avatar

The name in the changelog doesn't match and the actual name doesn't reflect that it is a git snapshot.  Should be fixed. 

git-archive is wrong.  It should be git archive instead  (space,  not hyphen.  hyphen is deprecated)
Comment 2 Praveen Kumar 2011-07-10 04:39:50 EDT
Thanks for pointing those mistakes now they are resolved.

SPEC url : http://kumarpraveen.fedorapeople.org/django-avatar/django-avatar.spec
SRPM url : http://kumarpraveen.fedorapeople.org/django-avatar/django-avatar-2.0a1-2.20110709git097ed8.fc15.src.rpm
Comment 3 pjp 2011-07-10 06:19:43 EDT
[X] Package name - ok.
[X] Package group - ok.
[X] Build successful - ok.

[X] rpmlint SRPMS/django-avatar-2.0a1-2.20110709git097ed8.fc14.src.rpm 
django-avatar.src: W: invalid-url Source0: django-avatar-2.0a1.20110709git097ed8.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  - ok.

[X] rpmlint RPMS/noarch/django-avatar-2.0a1-2.20110709git097ed8.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] License: BSD - ok.
[X] Install/Uninstall -ok.

Overall good.
Comment 4 pjp 2011-07-10 06:21:38 EDT
Approved.
Comment 5 Praveen Kumar 2011-07-10 06:26:38 EDT
New Package SCM Request
=======================
Package Name: django-avatar
Short Description: A reusable django application for handling user avatars
Owners: kumarpraveen
Branches: f14 f15
Comment 6 Jon Ciesla 2011-07-11 11:07:55 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-07-11 13:03:49 EDT
django-avatar-2.0a1-2.20110709git097ed8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/django-avatar-2.0a1-2.20110709git097ed8.fc15
Comment 8 Fedora Update System 2011-07-12 01:06:36 EDT
django-avatar-2.0a1-2.20110709git097ed8.fc15 has been pushed to the Fedora 15 testing repository.
Comment 9 Rahul Sundaram 2011-07-17 23:01:53 EDT
Package Change Request
======================
Package Name: django-avatar
New Branches: el6
Owners: sundaram pjp
InitialCC:
Comment 10 Jon Ciesla 2011-07-18 00:51:54 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2011-07-18 09:17:02 EDT
django-avatar-2.0a1-3.20110709git097ed8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/django-avatar-2.0a1-3.20110709git097ed8.fc15
Comment 12 Fedora Update System 2011-08-01 22:05:55 EDT
django-avatar-2.0a1-3.20110709git097ed8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.